export interface DescriptorSet {
    interval: IntervalDescriptor[],
    cell: CellDescriptor[],
    tick: TickDescriptor[],
}

interface BasicDescriptor {
    title: string;
    width: string;
}

interface AvailableTime {
    offset: string,
    duration: string,
}

export interface IntervalDescriptor extends BasicDescriptor { }

export interface CellDescriptor extends BasicDescriptor {
    subTitle: string;
    firstTickOffset: string,
    sunOrHoliday: boolean;
    weekend: boolean;
    available: AvailableTime[];
}

export interface TickDescriptor extends BasicDescriptor { }